Bug 75322 - RFE: xslide
Summary: RFE: xslide
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psgml (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL: http://www.menteith.com/xslide/index....
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-07 09:34 UTC by Nicolas Mailhot
Modified: 2007-07-24 14:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:52:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example spec file (1.92 KB, text/plain)
2002-10-07 09:35 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2002-10-07 09:34:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
While xml editing is painfull with psgml in emacs (<a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=75321">bug 75321</a>
it is almost impossible for xml domuments that use the xsl xml dialect.

RH has been shipping XSL documents in its docbook-style-xsl rpm for a few
versions, xsl stylesheets are beginning to be used by major projects like gnome
so this is no obscure language.

This can be solved easily by shipping the xlide minor mode, which is both small,
powerfull and stable. I can't believe the time I've lost editing xsl documents
by refusing to install third-party software on my redhat, when I tried xslide at
last it changed my world:)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

	

Additional info:

Please include xslide in future release or at least install something as
powerfull, right now I can't imagine (or rather I can imagine too well) how
people do xsl editing on RH.

Comment 1 Nicolas Mailhot 2002-10-07 09:35:44 UTC
Created attachment 79164 [details]
Example spec file

Comment 2 Tim Waugh 2002-10-07 09:40:17 UTC
Thanks.  Yes, this would be useful.

Comment 3 Chris Ricker 2003-01-29 17:34:08 UTC
I second this -- it'd be useful for me as well when working with XSL

Comment 4 Nicolas Mailhot 2003-02-26 21:49:21 UTC
I'd still like it to go in (hint, hint:)

Comment 5 Nicolas Mailhot 2003-06-08 14:24:18 UTC
A more up-to-date spec is available at 

http://bugzilla.fedora.us/show_bug.cgi?id=333

Comment 6 Tim Waugh 2003-10-17 10:53:07 UTC
Actually I think nXML might be a better bet than xslide.  What do you think?

http://www.xmlhack.com/read.php?item=2061

Comment 7 Nicolas Mailhot 2003-10-17 12:36:28 UTC
xlide is old and boring and is used by lots of people including xemacs and
emacspeak (new package in fedora.us queue btw)

nxml looks very promising but I'm not sure enough people have had time to play
with it yet to iron out bugs.

xslide is easy to add short term, mid-term nxml can probably replace both psgml
and xlide for xml/xsl editing.

so it really depends if you want a hard break or not

Comment 8 Bill Nottingham 2006-08-07 19:34:03 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 9 Bill Nottingham 2006-10-18 16:52:09 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.